GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
cancellable.c File Reference
`#include <grpc/support/atm.h>`
`#include <grpc/support/sync.h>`
`#include <grpc/support/time.h>`

## Functions
void | gpr_cancellable_init (gpr_cancellable *c)
void | gpr_cancellable_destroy (gpr_cancellable *c)
int | gpr_cancellable_is_cancelled (gpr_cancellable *c)
void | gpr_cancellable_cancel (gpr_cancellable *c)
int | gpr_cv_cancellable_wait (gpr_cv *cv, gpr_mu *mu, gpr_timespec abs_deadline, gpr_cancellable *c)

## Function Documentation

void gpr_cancellable_cancel | ( | gpr_cancellable * | c | ) |

void gpr_cancellable_destroy | ( | gpr_cancellable * | c | ) |

void gpr_cancellable_init | ( | gpr_cancellable * | c | ) |

int gpr_cancellable_is_cancelled | ( | gpr_cancellable * | c | ) |

int gpr_cv_cancellable_wait | ( | gpr_cv * | cv,
|  | gpr_mu * | mu,
|  | gpr_timespec | abs_deadline,
|  | gpr_cancellable * | c
| ) |  |